#ifndef OPTIONSPARSER_H
#define OPTIONSPARSER_H

#include <QDomElement>
#include <QVariant>
#include <QByteArray>

class OptionsParser : public QObject
{
    Q_OBJECT

    public:
        OptionsParser(QObject* parent = 0);
        static OptionsParser* instance();
        QVariant elementToVariant(const QDomElement& e);
        void variantToElement(const QVariant& var, QDomElement& e);

    private:
       static OptionsParser *instance_;

};

//stolen from iris
class Base64
        {
                public:
                        static QString encode(const QByteArray&);
                        static QByteArray decode(const QString &s);
        };

#endif // OPTIONSPARSER_H
